com.genesyslab.wfm7.API.service.config761

## Class CfgAgentFilter

- java.lang.Object
- - com.genesyslab.wfm7.API.service.config761.CfgAgentFilter

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgAgentFilter
      extends java.lang.Object
      implements java.io.Serializable

  Defines a filter in the request for Agent information
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int[]` | `gswAgentId` An array of Agent identifiers.
    `private int` | `gswAgentIdNSizeIs` Number of elements in the gswAgentId array.
    `private java.lang.String[]` | `gswEmployeeId` An array of Employee IDs.
    `private int` | `gswEmployeeIdNSizeIs` Number of elements in the gswEmployeeId array.
    `private int[]` | `wmActivityId` An array of Activity identifiers.
    `private int` | `wmActivityIdNSizeIs` Number of elements in the wmActivityId array.
    `private int[]` | `wmBUId` An array of BU identifiers.
    `private int` | `wmBUIdNSizeIs` Number of elements in the wmBUId array
    `private int[]` | `wmContractId` An array of Contract identifiers.
    `private int` | `wmContractIdNSizeIs` Number of elements in the wmContractId array.
    `private double` | `wmEndDate` Defines Termination date (`OleDateTime`) filter (can be NULL)
    `private int[]` | `wmSiteId` An array of Site identifiers.
    `private int` | `wmSiteIdNSizeIs` Number of elements in the wmSiteId array
    `private double` | `wmStartDate` Defines Hire date (`OleDateTime`) filter (can be NULL)
    `private int[]` | `wmTeamId` An array of Team identifiers.
    `private int` | `wmTeamIdNSizeIs` Number of elements in the wmTeamId array.
    `private int[]` | `wmVirtualActivityId` An array of Virtual Activity or Activity Group identifiers.
    `private int` | `wmVirtualActivityIdNSizeIs` Number of elements in the wmVirtualActivityId array.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgAgentFilter()`
    `CfgAgentFilter(int wmBUIdNSizeIs, int[] wmBUId, int wmSiteIdNSizeIs, int[] wmSiteId, int wmTeamIdNSizeIs, int[] wmTeamId, int gswAgentIdNSizeIs, int[] gswAgentId, int gswEmployeeIdNSizeIs, java.lang.String[] gswEmployeeId, int wmContractIdNSizeIs, int[] wmContractId, int wmActivityIdNSizeIs, int[] wmActivityId, int wmVirtualActivityIdNSizeIs, int[] wmVirtualActivityId, double wmStartDate, double wmEndDate)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int[]` | `getGswAgentId()` Gets the gswAgentId value for this CfgAgentFilter.
    `int` | `getGswAgentIdNSizeIs()` Gets the gswAgentIdNSizeIs value for this CfgAgentFilter.
    `java.lang.String[]` | `getGswEmployeeId()` Gets the gswEmployeeId value for this CfgAgentFilter.
    `int` | `getGswEmployeeIdNSizeIs()` Gets the gswEmployeeIdNSizeIs value for this CfgAgentFilter.
    `int[]` | `getWmActivityId()` Gets the wmActivityId value for this CfgAgentFilter.
    `int` | `getWmActivityIdNSizeIs()` Gets the wmActivityIdNSizeIs value for this CfgAgentFilter.
    `int[]` | `getWmBUId()` Gets the wmBUId value for this CfgAgentFilter.
    `int` | `getWmBUIdNSizeIs()` Gets the wmBUIdNSizeIs value for this CfgAgentFilter.
    `int[]` | `getWmContractId()` Gets the wmContractId value for this CfgAgentFilter.
    `int` | `getWmContractIdNSizeIs()` Gets the wmContractIdNSizeIs value for this CfgAgentFilter.
    `double` | `getWmEndDate()` Gets the wmEndDate value for this CfgAgentFilter.
    `int[]` | `getWmSiteId()` Gets the wmSiteId value for this CfgAgentFilter.
    `int` | `getWmSiteIdNSizeIs()` Gets the wmSiteIdNSizeIs value for this CfgAgentFilter.
    `double` | `getWmStartDate()` Gets the wmStartDate value for this CfgAgentFilter.
    `int[]` | `getWmTeamId()` Gets the wmTeamId value for this CfgAgentFilter.
    `int` | `getWmTeamIdNSizeIs()` Gets the wmTeamIdNSizeIs value for this CfgAgentFilter.
    `int[]` | `getWmVirtualActivityId()` Gets the wmVirtualActivityId value for this CfgAgentFilter.
    `int` | `getWmVirtualActivityIdNSizeIs()` Gets the wmVirtualActivityIdNSizeIs value for this CfgAgentFilter.
    `void` | `setGswAgentId(int[] gswAgentId)` Sets the gswAgentId value for this CfgAgentFilter.
    `void` | `setGswAgentIdNSizeIs(int gswAgentIdNSizeIs)` Sets the gswAgentIdNSizeIs value for this CfgAgentFilter.
    `void` | `setGswEmployeeId(java.lang.String[] gswEmployeeId)` Sets the gswEmployeeId value for this CfgAgentFilter.
    `void` | `setGswEmployeeIdNSizeIs(int gswEmployeeIdNSizeIs)` Sets the gswEmployeeIdNSizeIs value for this CfgAgentFilter.
    `void` | `setWmActivityId(int[] wmActivityId)` Sets the wmActivityId value for this CfgAgentFilter.
    `void` | `setWmActivityIdNSizeIs(int wmActivityIdNSizeIs)` Sets the wmActivityIdNSizeIs value for this CfgAgentFilter.
    `void` | `setWmBUId(int[] wmBUId)` Sets the wmBUId value for this CfgAgentFilter.
    `void` | `setWmBUIdNSizeIs(int wmBUIdNSizeIs)` Sets the wmBUIdNSizeIs value for this CfgAgentFilter.
    `void` | `setWmContractId(int[] wmContractId)` Sets the wmContractId value for this CfgAgentFilter.
    `void` | `setWmContractIdNSizeIs(int wmContractIdNSizeIs)` Sets the wmContractIdNSizeIs value for this CfgAgentFilter.
    `void` | `setWmEndDate(double wmEndDate)` Sets the wmEndDate value for this CfgAgentFilter.
    `void` | `setWmSiteId(int[] wmSiteId)` Sets the wmSiteId value for this CfgAgentFilter.
    `void` | `setWmSiteIdNSizeIs(int wmSiteIdNSizeIs)` Sets the wmSiteIdNSizeIs value for this CfgAgentFilter.
    `void` | `setWmStartDate(double wmStartDate)` Sets the wmStartDate value for this CfgAgentFilter.
    `void` | `setWmTeamId(int[] wmTeamId)` Sets the wmTeamId value for this CfgAgentFilter.
    `void` | `setWmTeamIdNSizeIs(int wmTeamIdNSizeIs)` Sets the wmTeamIdNSizeIs value for this CfgAgentFilter.
    `void` | `setWmVirtualActivityId(int[] wmVirtualActivityId)` Sets the wmVirtualActivityId value for this CfgAgentFilter.
    `void` | `setWmVirtualActivityIdNSizeIs(int wmVirtualActivityIdNSizeIs)` Sets the wmVirtualActivityIdNSizeIs value for this CfgAgentFilter.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### wmBUIdNSizeIs

          private int wmBUIdNSizeIs

      Number of elements in the wmBUId array

    - #### wmBUId

          private int[] wmBUId

      An array of BU identifiers. When specified, defines a filter of Business Units that returned Agents must belong to.

    - #### wmSiteIdNSizeIs

          private int wmSiteIdNSizeIs

      Number of elements in the wmSiteId array

    - #### wmSiteId

          private int[] wmSiteId

      An array of Site identifiers. When specified, defines a filter of Sites that returned Agents must belong to.

    - #### wmTeamIdNSizeIs

          private int wmTeamIdNSizeIs

      Number of elements in the wmTeamId array.

    - #### wmTeamId

          private int[] wmTeamId

      An array of Team identifiers. When specified, defines a filter of Teams that returned Agents must belong to. Note that, if wmSiteId (or wmBUId) filter is specified, then wmTeamId filter applies only to Sites that specified Teams belong to, This allows constructing a filter that requests all Teams from one Site but only specific Teams from another Site. The wmTeamId filter can be used without specifying wmSiteId filter but once wmSiteId filter is specified then all Teams in wmTeamId filter must also satisfy wmSiteId filter or they will not be returned.

    - #### gswAgentIdNSizeIs

          private int gswAgentIdNSizeIs

      Number of elements in the gswAgentId array.

    - #### gswAgentId

          private int[] gswAgentId

      An array of Agent identifiers. When specified, narrows Agent selection to specific Agents. Note that, if wmSiteId (or wmBUId) filter is specified, then gswAgentId filter applies only to Sites that specified Agents belong to, This allows constructing a filter that requests all Agents from one Site but only specific Agents from another Site. The gswAgentId filter can be used without wmSiteId filter specified but once wmSiteId filter is specified then all Agents in gswAgentId filter must also satisfy wmSiteId filter or they will not be returned.

    - #### gswEmployeeIdNSizeIs

          private int gswEmployeeIdNSizeIs

      Number of elements in the gswEmployeeId array.

    - #### gswEmployeeId

          private java.lang.String[] gswEmployeeId

      An array of Employee IDs.

    - #### wmContractIdNSizeIs

          private int wmContractIdNSizeIs

      Number of elements in the wmContractId array.

    - #### wmContractId

          private int[] wmContractId

      An array of Contract identifiers. When specified, defines filter of Contracts that all returned Agents must belong to at least one Contract specified.

    - #### wmActivityIdNSizeIs

          private int wmActivityIdNSizeIs

      Number of elements in the wmActivityId array.

    - #### wmActivityId

          private int[] wmActivityId

      An array of Activity identifiers. When specified, defines filter of Activities that all returned Agents must be qualified to work on at least one Activity specified.

    - #### wmVirtualActivityIdNSizeIs

          private int wmVirtualActivityIdNSizeIs

      Number of elements in the wmVirtualActivityId array.

    - #### wmVirtualActivityId

          private int[] wmVirtualActivityId

      An array of Virtual Activity or Activity Group identifiers. When specified, defines Virtual Activity filter that all returned Agents must be qualified to work on Activity that is part of at least one Virtual Activity or Activity Group specified.

    - #### wmStartDate

          private double wmStartDate

      Defines Hire date (`OleDateTime`) filter (can be NULL)

    - #### wmEndDate

          private double wmEndDate

      Defines Termination date (`OleDateTime`) filter (can be NULL)

  - ### Constructor Detail

    - #### CfgAgentFilter

          public CfgAgentFilter()

    - #### CfgAgentFilter

          public CfgAgentFilter(int wmBUIdNSizeIs,
                        int[] wmBUId,
                        int wmSiteIdNSizeIs,
                        int[] wmSiteId,
                        int wmTeamIdNSizeIs,
                        int[] wmTeamId,
                        int gswAgentIdNSizeIs,
                        int[] gswAgentId,
                        int gswEmployeeIdNSizeIs,
                        java.lang.String[] gswEmployeeId,
                        int wmContractIdNSizeIs,
                        int[] wmContractId,
                        int wmActivityIdNSizeIs,
                        int[] wmActivityId,
                        int wmVirtualActivityIdNSizeIs,
                        int[] wmVirtualActivityId,
                        double wmStartDate,
                        double wmEndDate)

  - ### Method Detail

    - #### getWmBUIdNSizeIs

          public int getWmBUIdNSizeIs()

      Gets the wmBUIdNSizeIs value for this CfgAgentFilter.
      Returns:
        wmBUIdNSizeIs

    - #### setWmBUIdNSizeIs

          public void setWmBUIdNSizeIs(int wmBUIdNSizeIs)

      Sets the wmBUIdNSizeIs value for this CfgAgentFilter.
      Parameters:
        `wmBUIdNSizeIs` -

    - #### getWmBUId

          public int[] getWmBUId()

      Gets the wmBUId value for this CfgAgentFilter.
      Returns:
        wmBUId

    - #### setWmBUId

          public void setWmBUId(int[] wmBUId)

      Sets the wmBUId value for this CfgAgentFilter.
      Parameters:
        `wmBUId` -

    - #### getWmSiteIdNSizeIs

          public int getWmSiteIdNSizeIs()

      Gets the wmSiteIdNSizeIs value for this CfgAgentFilter.
      Returns:
        wmSiteIdNSizeIs

    - #### setWmSiteIdNSizeIs

          public void setWmSiteIdNSizeIs(int wmSiteIdNSizeIs)

      Sets the wmSiteIdNSizeIs value for this CfgAgentFilter.
      Parameters:
        `wmSiteIdNSizeIs` -

    - #### getWmSiteId

          public int[] getWmSiteId()

      Gets the wmSiteId value for this CfgAgentFilter.
      Returns:
        wmSiteId

    - #### setWmSiteId

          public void setWmSiteId(int[] wmSiteId)

      Sets the wmSiteId value for this CfgAgentFilter.
      Parameters:
        `wmSiteId` -

    - #### getWmTeamIdNSizeIs

          public int getWmTeamIdNSizeIs()

      Gets the wmTeamIdNSizeIs value for this CfgAgentFilter.
      Returns:
        wmTeamIdNSizeIs

    - #### setWmTeamIdNSizeIs

          public void setWmTeamIdNSizeIs(int wmTeamIdNSizeIs)

      Sets the wmTeamIdNSizeIs value for this CfgAgentFilter.
      Parameters:
        `wmTeamIdNSizeIs` -

    - #### getWmTeamId

          public int[] getWmTeamId()

      Gets the wmTeamId value for this CfgAgentFilter.
      Returns:
        wmTeamId

    - #### setWmTeamId

          public void setWmTeamId(int[] wmTeamId)

      Sets the wmTeamId value for this CfgAgentFilter.
      Parameters:
        `wmTeamId` -

    - #### getGswAgentIdNSizeIs

          public int getGswAgentIdNSizeIs()

      Gets the gswAgentIdNSizeIs value for this CfgAgentFilter.
      Returns:
        gswAgentIdNSizeIs

    - #### setGswAgentIdNSizeIs

          public void setGswAgentIdNSizeIs(int gswAgentIdNSizeIs)

      Sets the gswAgentIdNSizeIs value for this CfgAgentFilter.
      Parameters:
        `gswAgentIdNSizeIs` -

    - #### getGswAgentId

          public int[] getGswAgentId()

      Gets the gswAgentId value for this CfgAgentFilter.
      Returns:
        gswAgentId

    - #### setGswAgentId

          public void setGswAgentId(int[] gswAgentId)

      Sets the gswAgentId value for this CfgAgentFilter.
      Parameters:
        `gswAgentId` -

    - #### getGswEmployeeIdNSizeIs

          public int getGswEmployeeIdNSizeIs()

      Gets the gswEmployeeIdNSizeIs value for this CfgAgentFilter.
      Returns:
        gswEmployeeIdNSizeIs

    - #### setGswEmployeeIdNSizeIs

          public void setGswEmployeeIdNSizeIs(int gswEmployeeIdNSizeIs)

      Sets the gswEmployeeIdNSizeIs value for this CfgAgentFilter.
      Parameters:
        `gswEmployeeIdNSizeIs` -

    - #### getGswEmployeeId

          public java.lang.String[] getGswEmployeeId()

      Gets the gswEmployeeId value for this CfgAgentFilter.
      Returns:
        gswEmployeeId

    - #### setGswEmployeeId

          public void setGswEmployeeId(java.lang.String[] gswEmployeeId)

      Sets the gswEmployeeId value for this CfgAgentFilter.
      Parameters:
        `gswEmployeeId` -

    - #### getWmContractIdNSizeIs

          public int getWmContractIdNSizeIs()

      Gets the wmContractIdNSizeIs value for this CfgAgentFilter.
      Returns:
        wmContractIdNSizeIs

    - #### setWmContractIdNSizeIs

          public void setWmContractIdNSizeIs(int wmContractIdNSizeIs)

      Sets the wmContractIdNSizeIs value for this CfgAgentFilter.
      Parameters:
        `wmContractIdNSizeIs` -

    - #### getWmContractId

          public int[] getWmContractId()

      Gets the wmContractId value for this CfgAgentFilter.
      Returns:
        wmContractId

    - #### setWmContractId

          public void setWmContractId(int[] wmContractId)

      Sets the wmContractId value for this CfgAgentFilter.
      Parameters:
        `wmContractId` -

    - #### getWmActivityIdNSizeIs

          public int getWmActivityIdNSizeIs()

      Gets the wmActivityIdNSizeIs value for this CfgAgentFilter.
      Returns:
        wmActivityIdNSizeIs

    - #### setWmActivityIdNSizeIs

          public void setWmActivityIdNSizeIs(int wmActivityIdNSizeIs)

      Sets the wmActivityIdNSizeIs value for this CfgAgentFilter.
      Parameters:
        `wmActivityIdNSizeIs` -

    - #### getWmActivityId

          public int[] getWmActivityId()

      Gets the wmActivityId value for this CfgAgentFilter.
      Returns:
        wmActivityId

    - #### setWmActivityId

          public void setWmActivityId(int[] wmActivityId)

      Sets the wmActivityId value for this CfgAgentFilter.
      Parameters:
        `wmActivityId` -

    - #### getWmVirtualActivityIdNSizeIs

          public int getWmVirtualActivityIdNSizeIs()

      Gets the wmVirtualActivityIdNSizeIs value for this CfgAgentFilter.
      Returns:
        wmVirtualActivityIdNSizeIs

    - #### setWmVirtualActivityIdNSizeIs

          public void setWmVirtualActivityIdNSizeIs(int wmVirtualActivityIdNSizeIs)

      Sets the wmVirtualActivityIdNSizeIs value for this CfgAgentFilter.
      Parameters:
        `wmVirtualActivityIdNSizeIs` -

    - #### getWmVirtualActivityId

          public int[] getWmVirtualActivityId()

      Gets the wmVirtualActivityId value for this CfgAgentFilter.
      Returns:
        wmVirtualActivityId

    - #### setWmVirtualActivityId

          public void setWmVirtualActivityId(int[] wmVirtualActivityId)

      Sets the wmVirtualActivityId value for this CfgAgentFilter.
      Parameters:
        `wmVirtualActivityId` -

    - #### getWmStartDate

          public double getWmStartDate()

      Gets the wmStartDate value for this CfgAgentFilter.
      Returns:
        wmStartDate

    - #### setWmStartDate

          public void setWmStartDate(double wmStartDate)

      Sets the wmStartDate value for this CfgAgentFilter.
      Parameters:
        `wmStartDate` -

    - #### getWmEndDate

          public double getWmEndDate()

      Gets the wmEndDate value for this CfgAgentFilter.
      Returns:
        wmEndDate

    - #### setWmEndDate

          public void setWmEndDate(double wmEndDate)

      Sets the wmEndDate value for this CfgAgentFilter.
      Parameters:
        `wmEndDate` -

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.